Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation
Class ListCollectionMapper

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.AbstractCollectionMapper<List>
          org.hibernate.envers.entities.mapper.relation.ListCollectionMapper

All Implemented Interfaces:
  PropertyMapper

    public final class ListCollectionMapper

extends AbstractCollectionMapper<List>
implements PropertyMapper

Field Summary

Fields inherited from class org.hibernate.envers.entities.mapper.relation.AbstractCollectionMapper
`collectionClass, commonCollectionMapperData`

Constructor Summary
`ListCollectionMapper(CommonCollectionMapperData commonCollectionMapperData, MiddleComponentData elementComponentData, MiddleComponentData indexComponentData)`

Method Summary
`protected Initializor<List>` | `getInitializor(AuditConfiguration verCfg, AuditReaderImplementor versionsReader, Object primaryKey, Number revision)`
`protected Collection` | `getNewCollectionContent(PersistentCollection newCollection)`
`protected Collection` | `getOldCollectionContent(Serializable oldCollection)`
`protected void` | `mapToMapFromObject(Map<String,Object> data, Object changed)` Maps the changed collection element to the given map.

Methods inherited from class org.hibernate.envers.entities.mapper.relation.AbstractCollectionMapper
`mapCollectionChanges, mapModifiedFlagsToMapForCollectionChange, mapModifiedFlagsToMapFromEntity, mapToEntityFromMap, mapToMapFromEntity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.envers.entities.mapper.PropertyMapper
`mapCollectionChanges, mapModifiedFlagsToMapForCollectionChange, mapModifiedFlagsToMapFromEntity, mapToEntityFromMap, mapToMapFromEntity`

Constructor Detail

### ListCollectionMapper

    public ListCollectionMapper(CommonCollectionMapperData commonCollectionMapperData,
                                MiddleComponentData elementComponentData,
                                MiddleComponentData indexComponentData)

Method Detail

### getInitializor

    protected Initializor<List> getInitializor(AuditConfiguration verCfg,
                                               AuditReaderImplementor versionsReader,
                                               Object primaryKey,
                                               Number revision)

  Specified by:
    `getInitializor` in class `AbstractCollectionMapper<List>`

### getNewCollectionContent

    protected Collection getNewCollectionContent(PersistentCollection newCollection)

  Specified by:
    `getNewCollectionContent` in class `AbstractCollectionMapper<List>`

### getOldCollectionContent

    protected Collection getOldCollectionContent(Serializable oldCollection)

  Specified by:
    `getOldCollectionContent` in class `AbstractCollectionMapper<List>`

### mapToMapFromObject

    protected void mapToMapFromObject(Map<String,Object> data,
                                      Object changed)

  Description copied from class: `AbstractCollectionMapper`
  Maps the changed collection element to the given map.

  Specified by:
    `mapToMapFromObject` in class `AbstractCollectionMapper<List>`
  Parameters:
    `data` - Where to map the data.
    `changed` - The changed collection element to map.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.